import './App.css';
import React, {useState, useEffect} from 'react';

function App() {
    const [enregistre, setEnregistre] = useState(false);
    const [text,setText] = useState("Les données ne sont pas enregistrées");

    // Équivalent à componentDidMount plus componentDidUpdate :
    useEffect(() => {
        if (enregistre) {
            setText("Enregistrement en cours")
        } else {
            setText("Les données ne sont pas enregistrées")
        }
        console.log(enregistre);
    });

    return (
        <div>
            <p>{text}</p>
            <button onClick={() => setEnregistre(!enregistre)}>
                Cliquez ici
            </button>
        </div>
    );
}

export default App;